Page MenuHomePhabricator

Popularpages bot not generating reports for some projects and task forces
Closed, ResolvedPublic3 Story Points

Description

The popular pages bot doesn't work fine with taskforces and sub-wikiprojects in some cases. See:

  1. https://en.wikipedia.org/wiki/Wikipedia:WikiProject_Physics/Taskforces/Acoustics/Popular_pages
  2. https://en.wikipedia.org/wiki/Wikipedia:WikiProject_Animation/Adult_Swim_work_group/Popular_pages

Some projects like https://en.wikipedia.org/wiki/Wikipedia:WikiProject_Military_history/African_military_history_task_force/Popular_pages work. This is because of discrepancies with "project titles" i.e. assessment keywords. The best solution seems to be just to go in and manually fix the "Name" fields in https://en.wikipedia.org/wiki/User:Community_Tech_bot/Popular_pages_config.json to match up with the right project title in page-assessments database. This work can't be done by a bot because it isn't intelligent enough to tell what project likely maps to which title/keyword.

Event Timeline

Niharika created this task.Mar 6 2017, 11:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2017, 11:44 PM
kaldari triaged this task as Normal priority.Mar 8 2017, 12:26 AM
kaldari set the point value for this task to 3.
kaldari moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
Niharika claimed this task.Mar 15 2017, 1:34 AM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.
czar added a subscriber: czar.Mar 15 2017, 6:49 AM
kaldari renamed this task from Popularpages bot doesn't work fine with taskforces/subprojects to Popularpages bot not generating reports for some projects and task forces.Mar 16 2017, 6:14 PM

Okay, I've cleaned up the config to match with data in Page Assessments. The pages should be updated in the next bot run, which I've submitted a job for.

kaldari closed this task as Resolved.Mar 21 2017, 5:36 AM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

There are still popular pages listings going empty, with examples Anarchism, Louisville, and Kentucky. When is the bot scheduled to fill these (and presumably others) in?

There are still popular pages listings going empty, with examples Anarchism, Louisville, and Kentucky. When is the bot scheduled to fill these (and presumably others) in?

Shortly. I'm hoping to close down all related tickets before the next bot run cycle. The bot takes ten days to go through all projects so it's a pretty expensive job. The reports for next month should be complete and error-free, hopefully.

kaldari moved this task from Estimated to Archive on the Community-Tech board.Mar 31 2017, 2:01 PM